/**
 * apaleo Settings API - not safe for work
 * Continuously evolving version - use at your own risk! Set up and change global account and property settings.
 *
 * OpenAPI spec version: v0-nsfw
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { CityTaxConfigModel } from './cityTaxConfigModel';
import { CityTaxPricingRuleModel } from './cityTaxPricingRuleModel';
import { CityTaxSubcategoryModel } from './cityTaxSubcategoryModel';
import { ClassMetaData } from '@apaleo/angular-api-proxy-common';
export interface CityTaxModel {
    /**
     * The ID of this city tax
     */
    id: string;
    /**
     * The code for the city tax
     */
    code: string;
    /**
     * The name of the city tax, as displayed to guests on invoice, offer, etc.
     */
    name: {
        [key: string]: string;
    };
    /**
     * The description of the city tax, as displayed to guests.
     */
    description: {
        [key: string]: string;
    };
    /**
     * The ID of the property for which the city tax was created
     */
    propertyId: string;
    /**
     * The base on which the city tax is calculated.
     */
    type: CityTaxModel.TypeEnum;
    /**
     * How to treat the calculated city tax: as before tax or after tax
     */
    taxHandlingType: CityTaxModel.TaxHandlingTypeEnum;
    /**
     * Depending on the type, the percent or multiplier used to calculate city tax
     */
    value: number;
    /**
     * If set, limits the calculation of the city tax to the specified number of time slices, starting from the beginning.   If not set, the city tax will be calculated for the whole stay.
     */
    limit?: number;
    /**
     * Additional subcategories for different age groups that are eligible for a reduced city tax.  Only set if the type is 'PerPersonPerNight', 'PercentOfGross' or 'PerPersonPerNightBasedOnNetPrice'
     */
    subcategories?: Array<CityTaxSubcategoryModel>;
    /**
     * Additional set of rules where you can set a fixed city tax value based on the net accommodation cost. Only set if the type is 'PerPersonPerNightBasedOnNetPrice' or 'PerPersonPerNightBasedOnGrossPrice'
     */
    pricingRules?: Array<CityTaxPricingRuleModel>;
    /**
     * Specifies which VAT applies.
     */
    vatType: CityTaxModel.VatTypeEnum;
    /**
     * Order in which city taxes should be applied. Lower numbers are applied first
     */
    priority: number;
    /**
     * Whether city tax is included in the rate, or added on top of it. Default is `false`
     */
    includeCityTaxInRateAmount: boolean;
    /**
     * The list of rules to define which charges this tax is ignored for
     */
    ignoredFor?: Array<CityTaxConfigModel>;
}
export declare namespace CityTaxModel {
    type TypeEnum = 'PercentOfGross' | 'PercentOfNet' | 'PerRoomPerNight' | 'PerPersonPerNight' | 'PerPersonPerNightBasedOnNetPrice' | 'PerPersonPerNightBasedOnGrossPrice';
    const TypeEnumValues: readonly TypeEnum[];
    type TaxHandlingTypeEnum = 'BeforeTax' | 'AfterTax';
    const TaxHandlingTypeEnumValues: readonly TaxHandlingTypeEnum[];
    type VatTypeEnum = 'Null' | 'VeryReduced' | 'Reduced' | 'Normal' | 'Without' | 'Special' | 'ReducedCovid19' | 'NormalCovid19' | 'Mixed';
    const VatTypeEnumValues: readonly VatTypeEnum[];
}
export declare namespace CityTaxModel {
    const $metaData: ClassMetaData<CityTaxModel>;
}
