/**
 * apaleo Settings API - not safe for work
 * Continuously evolving version - use at your own risk! Set up and change global account and property settings.
 *
 * OpenAPI spec version: v0-nsfw
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { CityTaxConfigModel } from './cityTaxConfigModel';
import { CityTaxPricingRuleModel } from './cityTaxPricingRuleModel';
import { CityTaxSubcategoryModel } from './cityTaxSubcategoryModel';
import { ClassMetaData } from '@apaleo/angular-api-proxy-common';
export interface CreateCityTaxModel {
    /**
     * The name of the city tax, as displayed to guests on invoice, offer, etc.   Typical names are city tax or tourist tax.
     */
    name: {
        [key: string]: string;
    };
    /**
     * The description of the city tax, as displayed to guests. Add information on when it applies, and how it is calculated.
     */
    description: {
        [key: string]: string;
    };
    /**
     * The ID of the property for which the city tax is created
     */
    propertyId: string;
    /**
     * The base on which the city tax is calculated.
     */
    type: CreateCityTaxModel.TypeEnum;
    /**
     * How to treat the calculated city tax: as before tax or after tax
     */
    taxHandlingType: CreateCityTaxModel.TaxHandlingTypeEnum;
    /**
     * Depending on the type, the percent or multiplier used to calculate city tax
     */
    value: number;
    /**
     * If the city tax is subject to VAT, specify which VAT applies. If not, specify 'Without'.
     */
    vatType: CreateCityTaxModel.VatTypeEnum;
    /**
     * The code for the city tax
     */
    code?: string;
    /**
     * Order in which city taxes should be applied. Lower numbers are applied first.  If not provided tax receives priority of existing tax priority + 1, or 1 if no other city tax for this property exists.
     */
    priority?: number;
    /**
     * Whether city tax is included in the rate, or added on top of it. Default is `false`
     */
    includeCityTaxInRateAmount?: boolean;
    /**
     * If set, limits the calculation of the city tax to the specified number of time slices, starting from the beginning.   If not set, the city tax will be calculated for the whole stay.
     */
    limit?: number;
    /**
     * Additional subcategories for different age groups that are eligible for a reduced city tax. Can only be set if the type is 'PerPersonPerNight', 'PercentOfGross' or 'PerPersonPerNightBasedOnNetPrice'
     */
    subcategories?: Array<CityTaxSubcategoryModel>;
    /**
     * Additional set of rules where you can set a fixed city tax value based on the accommodation cost. Only set if the type is 'PerPersonPerNightBasedOnNetPrice' or 'PerPersonPerNightBasedOnGrossPrice'
     */
    pricingRules?: Array<CityTaxPricingRuleModel>;
    /**
     * The list of rules to define which charges this tax is ignored for
     */
    ignoredFor?: Array<CityTaxConfigModel>;
}
export declare namespace CreateCityTaxModel {
    type TypeEnum = 'PercentOfGross' | 'PercentOfNet' | 'PerRoomPerNight' | 'PerPersonPerNight' | 'PerPersonPerNightBasedOnNetPrice' | 'PerPersonPerNightBasedOnGrossPrice';
    const TypeEnumValues: readonly TypeEnum[];
    type TaxHandlingTypeEnum = 'BeforeTax' | 'AfterTax';
    const TaxHandlingTypeEnumValues: readonly TaxHandlingTypeEnum[];
    type VatTypeEnum = 'Null' | 'VeryReduced' | 'Reduced' | 'Normal' | 'Without' | 'Special' | 'ReducedCovid19' | 'NormalCovid19' | 'Mixed';
    const VatTypeEnumValues: readonly VatTypeEnum[];
}
export declare namespace CreateCityTaxModel {
    const $metaData: ClassMetaData<CreateCityTaxModel>;
}
