/**
 * apaleo Settings API - not safe for work
 * Continuously evolving version - use at your own risk! Set up and change global account and property settings.
 *
 * OpenAPI spec version: v0-nsfw
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { TaxConfigModel } from './taxConfigModel';
import { TaxPeriodModel } from './taxPeriodModel';
import { ClassMetaData } from '@apaleo/angular-api-proxy-common';
export interface CreateTaxModel {
    /**
     * The code for the tax, used to assemble its id
     */
    code: string;
    /**
     * The name for the tax
     */
    name: {
        [key: string]: string;
    };
    /**
     * The id of the property where the tax will be created
     */
    propertyId: string;
    /**
     * The service type, used by accounting and determining account and VAT
     */
    serviceType: CreateTaxModel.ServiceTypeEnum;
    /**
     * Whether this tax can be subject to other taxes. Default value is \"false\"
     */
    isSubjectToTax?: boolean;
    /**
     * ID of the custom sub-account, used by accounting to determine the correct revenue account
     */
    subAccountId: string;
    /**
     * The list of rules to define which charges this tax is applied to
     */
    appliedTo?: Array<TaxConfigModel>;
    /**
     * The list of rules to define which charges this tax is ignored for
     */
    ignoredFor?: Array<TaxConfigModel>;
    /**
     * Tax periods with percents valid for the specified periods
     */
    taxPeriods: Array<TaxPeriodModel>;
}
export declare namespace CreateTaxModel {
    type ServiceTypeEnum = 'Other' | 'Accommodation' | 'FoodAndBeverages';
    const ServiceTypeEnumValues: readonly ServiceTypeEnum[];
}
export declare namespace CreateTaxModel {
    const $metaData: ClassMetaData<CreateTaxModel>;
}
